<?php
/**
* Client class
* 
* Represents an mldonkey client
*
* @author   Don Seiler <don@NOSPAM.seiler.us>
* @author Moritz Warning <mwarning@users.sourceforge.net>
*/
class MLD_Client {
    
	var $isvalid = FALSE;

/**
* Network (eDonkey, Direct Connect, Open Napster, BitTorrent, etc.)
*/
	var $network = NULL;

/**
* mldonkey client number
*/
	var $num = NULL;

/**
* IP Address of the client
*/
	var $ip = NULL;

/**
* Rating of the client
*/
	var $rate = NULL;

/**
* Client username
*/
	var $username = NULL;

	function MLD_Client($line = NULL)
	{
		if(!isset($line)) { return; }
		if(!ereg("^\[", $line)) { return; }
		// $line is an mldonkey response line
		// parse code lifted from phpeselgui
		// http://phpeselgui.sf.net
		$line = preg_replace("/\[/", "", $line);
		$line = preg_replace("/\Direct Connect /", "DC ", $line);
		$line = preg_replace("/\Open Napster /", "OpenNap ", $line);
		$line = preg_replace("/\]/", "", $line);
		$line = preg_replace("/\s+/", " ", $line);
		$line = preg_replace("/\s+$/", "", $line);
		$temp = explode(" ", $line);
		$length = (int) sizeof($temp);
		$this->network = $temp[0];
		$this->num = (int) $temp[1];
		$this->ip = $temp[$length - 1];
		$this->rate = (int) $temp[$length - 4];
		if(isset($temp[4]) AND $temp[4] != "Rating")
			$this->username = $temp[4];
		$this->isvalid = TRUE;
	}

	function isFriend() {
		return FALSE;
	}

}
