<?php

/**
* Search Result class
* 
* Represents an edonkey search result
*
* @author Moritz Warning <mwarning@users.sourceforge.net>
*/
class MLD_SearchResult {
    
	var $isvalid = FALSE;

/**
* Search result number
*
*/
	var $resultnum = NULL;

/**
* Network
*
*/
	var $network = NULL;

/**
* File name
*/
	var $name = NULL;

/**
* File size
*/
	var $size = NULL;

/**
* File Hash Value
*/
	var $hash = NULL;

/**
* File availability
*/
	var $availability = NULL;


    function MLD_SearchResult($line)
    {
	if(!isset($_SESSION['SearchResultVersion'])) {

		$MLDversion = $_SESSION['interface']->getClientVersion();
		
		if(preg_match("/23|24|25|26|27|28|29|30|31|2\.6|2\.7|2\.8/", $MLDversion)) { //for 2.5-28 or *higher*
		
			$_SESSION['SearchResultVersion'] = 2;
		} else { //for 2.5-16[s-t]
			$_SESSION['SearchResultVersion'] = 1;
		}
	}

	if($_SESSION['SearchResultVersion'] == 2) {  //for 2.5-28 or *higher*
		//                                           [  <num>]          <size>     <availability>     <filename>.<ext>
		if (preg_match("/^\[\s*(\d*)\]\s+(\d+)\s+(\d+)\s+(.*\.[\w\d]{2,7}).*$/", $line, $found)) {
			$this->resultnum = (int) $found[1];
			$this->size = (float) $found[2];
			$this->availability = (int) $found[3];
			$this->name = trim($found[4]);
			$this->isvalid = TRUE;
		}
	} elseif($_SESSION['SearchResultVersion'] == 1) { //for 2.5-16[s-t]
		//                              [  <num>]                  <filename>.<ext>        <size>   <availability>
		if (preg_match("/^\[\s*(\d*)\]\s+(.*\.[\w\d]{2,7})\s+(\d+)\s+.*(\d+)\s+/", $line, $found)) {
			$this->resultnum = (int) $found[1];
			$this->name = trim($found[2]);
			$this->size = (float) $found[3];
			$this->availability = (int) $found[4];
			$this->isvalid = TRUE;
		}
	}
    }
}