<?php
/**
* Server class
* 
* Represents an edonkey server
*
* @author   Don Seiler <don@NOSPAM.seiler.us>
*/
class MLD_Server {
    
	var $isvalid = TRUE;

/**
* mldonkey Number
*/
	var $nr = NULL;

/**
* Name of the server
*/
	var $name = NULL;

/**
* Network (eDonkey, Direct Connect, Open Napster, BitTorrent, etc.)
*/
	var $network = NULL;

/**
* IP Address of the server
*/
	var $ip = NULL;

/**
* Connection status: "high" or "low" id
*/
	var $id = NULL;
	
/**
* Server status
*/
	var $status = NULL;
	
/**
* Number of files on the server
*/
	var $files = NULL;
	
/**
* Number of users on the server
*/
	var $users = NULL;
	

	function MLD_Server($line = NULL)
	{
		if(!isset($line)) { return; }
		
		if(ereg("^\[", $line)) {
			//preg_match("/^\[([a-zA-Z]+)\s*(\d+)\s*\]\s+([0-9\.:]+)\s+([^\n]+)\s+Users:(\d+)\s+Files:(\d+)\s+State:(.*)/", $line, $found);
			preg_match("/^\[([a-zA-Z]+)\s*(\d+)\s*\]\s+([0-9\.:]+)\s+([^\[]*)\s+Users:(\d+)\s+Files:(\d+)\s+State:(.*)/", $line, $found);
			$this->network = $found[1];
			$this->nr = (int) $found[2];
			$this->ip = $found[3];
			$this->name = trim($found[4]);
			$this->users = (int) $found[5];
			$this->files = (int) $found[6];
			$this->status = trim($found[7]);
		} else {
			$this->isvalid = FALSE;
		}
	}
    
	/*
	* sets high/low id status
	* function is used in combination with MLD_Interface.php
	*/
	function setId($id) {
		$this->id = $id;
	}
}

?>