<?php
/**
* Routing file for Web-GMUI 
* Index initializes core engine
*
* @author Moritz Warning <mwarning@users.sourceforge.net>
*/
require_once("./class/Core.php");
require("./conf/config.php");
session_start();

error_reporting(E_ERROR | E_WARNING | E_PARSE); // show all errors
session_set_cookie_params(2419200); // keep cookie for a month

if($_SESSION["user"]->isvalid) {

	if($_REQUEST["CORE_OP"] == 'logout') {
		$_SESSION['core']->logout();
	} else {
		$_SESSION['core']->displaySite();
	}
	
} elseif(isset($_POST['login']) OR ($use_http_auth AND isset($_SERVER['PHP_AUTH_USER']))) {

	//create Core Object
	$_SESSION["core"] = new Core();
	$_SESSION["core"]->postInit();

	//get username and password
	if($use_http_auth) {
		$user = $_SERVER['PHP_AUTH_USER'];
		$passwd = $_SERVER['PHP_AUTH_PW'];
	} else {
		$user = $_POST['username'];
		$passwd = $_POST['password'];
	}
	
	//create User Object
	if($user == 'admin') {
		$_SESSION["user"] = new Admin($user, md5($passwd));
	} else {
		$_SESSION["user"] = new User($user, md5($passwd));
	}

	//display the entire Site
	if($_SESSION["user"]->isvalid) {
		$_SESSION['core']->displaySite();
	} else {
		sleep(1);
	}
}

//print login form/site
if($use_http_auth) {
	Header("WWW-Authenticate: Basic realm=\"Login\"");
	Header("HTTP/1.0 401 Unauthorized");
	//echo "Text to send if user hits Cancel button\n";
} else {
	//set language for login site
	putenv("LANG=".$login_lang);
	$domain = 'messages';
	setlocale(LC_MESSAGES, $login_lang);
	bindtextdomain($domain, './lang');
	textdomain($domain);

	define('NL', "\n");
	echo '<html><title></title><body>'.NL;
	echo '<h2>'._("Login").':</h2>'.NL;
	echo '<form action="index.php" method="post">'.NL;
	echo '<table>'.NL;
	echo '<tr><td>'._("Name").':</td><td colspan="2"><input type="text" size="20" name="username"></td></tr>'.NL;
	echo '<tr><td>'._("Password").':</td><td colspan="2"><input type="password" size="20" name="password"></td></tr>'.NL;
	echo '<tr><td>&nbsp;</td><td align="center"><input type="reset" value="'._("Reset").'"></td><td align="center"><input type="submit" value="'._("Send").'"></td></tr>'.NL;
	echo '<input type="hidden" name="login" value="1">'.NL;
	echo '</table></form></body></html>'.NL;
}
sleep(1);
?>
