<?php

/**
* Lists connected servers
*
* @author   Don Seiler <don@NOSPAM.seiler.us>
* @author Moritz Warning <mwarning@users.sourceforge.net>
*/
function servers_all() {
	return servers(TRUE);
}

function servers($all = FALSE)
{
	$content = NULL;
	$_SESSION['headline'] = _("Servers");

	$headers = array();
	$headers["action"]  = "";
	$headers["nr"]      = _("No.");
	$headers["name"]    = _("Name");
	$headers["files"]   = _("Files");
	$headers["users"]   = _("Users");
	$headers["ip"]      = _("IP Address");
	$headers["status"]  = _("Status");
	$headers["id"]      = _("Id");
	$headers["network"] = _("Network");
	$columns = count($headers);
	
	$content .= checkboxJavascript("nr[]");
	$content .= '<form name="vm" action="index.php" method="post">'.NL;
	$content .= '<table cellspacing="0" cellpadding="2" border="0">'.NL;

	$content .= '<tr><td colspan="'.$columns.'">'.checkboxLinks("vm")."</td></tr>\n";
	$content .= "<tr class=\"bg_dark\">\n";
	foreach($headers as $key => $value) {
		if($all) {
			$op = "servers_all";
		} else {
			$op = "servers";
		}
		
		$content .= "<th>\n";
		if($key != "action") {
			$content .= '<a class="header" href="index.php?CORE_OP='.$op.'&SORTKEY='.$key.'&SORTORDER=ASC">&darr;</a>';
			$content .= $value;
			$content .= '<a class="header" href="index.php?CORE_OP='.$op.'&SORTKEY='.$key.'&SORTORDER=DESC">&uarr;</a></th>';
		} else {
			$content .= $value;
		}
		$content .= "</th>\n";
	}
	$content .= "</tr>\n";

	//get server objects
	$server_array = $_SESSION['interface']->getServers($all);
	$servers = sort_objects($server_array, "files" ,"DESC", "servers");
	
	if(count($server_array ) > 0) {

		$c = 0;
		foreach($servers as $serverlevel) {
			foreach($serverlevel as $server) {
			
				if($c%2 == 0) { $content .= '<tr class="list">'.NL; }
				else { $content .= '<tr class="alt_list">'.NL; }
		
				$content .= '<td><input type="checkbox" name="nr[]" value="'.$server->nr.'" /></td>'.NL;
				$content .= '<td align="center">'.$server->nr."</td>\n";
				$content .= '<td align="left">'.$server->name."</td>\n";
				$content .= '<td align="right">'.$server->files."</td>\n";
				$content .= '<td align="right">'.$server->users."</td>\n";
				$content .= '<td align="right">'.$server->ip."</td>\n";
				$content .= '<td align="right">';
				if(!empty($server->status)) {
					$content .= _($server->status); //_('Connected'), _('IP Blocked')
				}
				$content .= "</td>\n";
				$content .= '<td align="center">'.$server->id."</td>\n";
				$content .= '<td align="center">'.formatNetwork($server->network, "image")."</td>\n";
				$content .= "</tr>\n";
				$c++;
			}
		}
	} else {
		$content .= '<tr class="alt_list">'.NL;
		$content .= '<td align="center" colspan="'.$columns.'"><b>'._("No Servers").'</b></td>';
		$content .= "</tr>\n";
	}
	
	
	$content .= '<tr><td colspan="'.$columns.'">'.NL;
	$content .= checkboxLinks("vm");
	$content .= "</td></tr>\n";
	$content .= '<tr><td colspan="'.$columns.'">'.NL;
	$content .= "</td></tr>\n";
	$content .= '<tr><td colspan="'.$columns.'">'.NL;
	$content .= '<input type="submit" name="action_connect" value="'._("Connect").'" />'.NL;
	$content .= '<input type="submit" name="action_disconnect" value="'._("Disconnect") .'" />'.NL;
	$content .= '<input type="submit" name="action_remove" value="'._("Remove").'" />'.NL;
	$content .= "</td></tr>\n";
	if(!$all) {
		$content .= '<tr><th colspan="'.$columns.'"><b><a href="index.php?CORE_OP=servers_all">' . _("View All Servers") . "</a></b></th>\n";
	}
	$content .= "</table>\n";
	$content .= '<input type="hidden" name="CORE_OP" value="servers_action" />'.NL;
	$content .= "</form>\n";
	return $content;
}

/**
* Handles server operations
*
* @author Don Seiler <don@NOSPAM.seiler.us>
* @author Moritz Warning <mwarning@users.sourceforge.net>
*/
function servers_action()
{
	$content = NULL;
	if(!(isset($_REQUEST["nr"]) OR !is_array($_REQUEST["nr"]))) {
		$content .= '<div class="error">'._("No items were selected.")."</div>".BN;
	} else {
		if(isset($_REQUEST["action_connect"])) {
		
			// Connect to the array members
			if($_SESSION['interface']->connectServers($_REQUEST["nr"])) {
				$_SESSION['message'] .= _("Servers connected.").BN;
			} else { $_SESSION['message'] .= "error"; }
			
		} elseif(isset($_REQUEST["action_disconnect"])) {
		
			// Disconnect from the array members
			if($_SESSION['interface']->disconnectServers($_REQUEST["nr"])) {
				$_SESSION['message'] .= _("Servers disconnected.").BN;
			} else { $_SESSION['message'] .= "error"; }
			
		} elseif(isset($_REQUEST["action_remove"])) {
		
			// Remove the array members
			if($_SESSION['interface']->removeServers($_REQUEST["nr"])) {
				$_SESSION['message'] .= _("Servers removed.").BN;
			} else { $_SESSION['message'] .= "error"; }
		}
	}
	return servers();
}
?>
