<?php
/* 
* dark theme template functions
*
* @author   Don Seiler <don@NOSPAM.seiler.us>
* @author   Moritz Warning
*/

function getSite() {
	
	$theme_path =  $_SESSION['core']->subDirs["theme_dir"] .  $_SESSION['user']->theme;
	$body =  $_SESSION['core']->getBody();
	
	$content = '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">'."\n";
	$content .= "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n";
	$content .= "<head>\n";
        $content .= "<title>".$_SESSION['title']."</title>\n";
	$content .= '<link rel="stylesheet" href="'.$theme_path .'/style.css" type="text/css" />'."\n";
        $content .= "</head>\n";
        $content .= "<body>\n";
	
	$content .= "<br \>\n";
	$content .= getHeader();
	
	$content .= '<table width="98%" align="center"><tr>'."\n";
	$content .= '<td align="left">'.$_SESSION['message']."</td>\n";
	$content .= "<td align=\"right\">\n".getPageRefresh()."</td>\n";
	$content .= "</tr></table>\n";
	
	$content .= '<div align="center">'."\n";
	$content .= '<h3>'.$_SESSION['headline']."</h3>\n";
	$content .= $body;
	$content .= "</div>\n";

	$content .= "<hr size=\"1\" noshade />\n";
	$content .= '<div class="smalltext">'.getVersionString()."</div>\n";
	$content .= "</body>\n";
	$content .= "</html>";
        return $content;
}

function getHeader() {

	$menu = $_SESSION["core"]->getMenu();

	$content .= '<div align="center" class="smalltext">'."\n";
	$content .= '<hr size="1" width="50%" noshade />';
	
	// This block will split up the menuitems into multiple rows,
	// if necessary
	$maxitems = 9;
	$menuarray = array();
	if (count($menu) > $maxitems) {
		$numrows = ceil(count($menu) / $maxitems);
		while ($numrows > 1) {
			$midpoint = ceil(count($menu)/$numrows);
			$menuarray[] = array_slice($menu, 0, $midpoint);
			$menu = array_slice($menu, $midpoint);
			$numrows = ceil(count($menu) / $maxitems);
		}
	}
	$menuarray[] = $menu;

	// Now display the actual menu
	$i = 0;
	foreach ($menuarray as $menu) {
		$first = TRUE;
		foreach($menu as $link) {
			if(!$first) {
				$content .= "&nbsp;|&nbsp;";
			} else {
				$first = FALSE;
			}
			if ($link->active) {
				$content .= ' <em><a class="header" ';
			} else {
				$content .= " <a ";
			}
			$content .= 'href="' . $link->href . '">' . $link->text . "</a>\n";
			if ($link->active) {
				$content .= "</em>";
			}
		}
		$content .= "<br />\n";
	}
	$content .= '<hr size="1" width="50%" noshade />';
	$content .= "</div>\n";
	
	return $content;
}
?>
